ReferenceNotifications
The caller's in-app notifications, newest first, with the unread count
GET
/v1/notificationsQuery Parameters
unread?boolean
Only unread notifications
type?string
Value in
- "team.invited"
- "team.invite_expiring"
- "team.membership"
- "web.domain_request"
- "web.domain_request_new"
- "web.sync_failed"
- "source.classification_lowered"
- "source.documents_attention"
- "agent.disabled_by_platform"
- "agent.published"
- "team.daily_limit"
- "team.budget_warning"
- "team.budget_exhausted"
- "breakglass.started"
- "breakglass.ended"
- "breakglass.requested"
- "breakglass.decided"
- "platform.profile_migration"
- "kb.profile_changed"
- "evaluation.regression"
cursor?string
nextCursor from the previous page
limit?integer
Range
1 <= value <= 200Default
50Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/notifications"{ "data": { "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "team.invited", "title": "string", "body": "string", "link": "/teams/registrar/domains", "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec", "read": true, "readAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z" } ], "nextCursor": "string", "unreadCount": 0 }}